/* $Id: feplot1.h,v 1.2 1996/11/05 12:20:32 roitzsch Exp $ */

#ifndef FEPLOT1_H
#define FEPLOT1_H

#include "feplot.h"

class EDG1;
class PT1;
class MESH;
class MESH1;

//-------------------------------------------------------------------------


class FEPlotMESH1 : public FEPlot
{ 

 public:

  FEPlotMESH1(MESH* t, int plotType=SCREEN, char* caption=0, float size=0.5);
  virtual ~FEPlotMESH1() { }

  virtual void updateMesh(MESH* t);

  virtual void plotElements();
  virtual void plotSolution(Vector<Real>& x);
  virtual void plotPointNodes();
  virtual void plotEdgeNodes();


 protected:

  MESH1* mesh;	

  Real 	xMin, xMax, yMin, yMax, y0;
  Real 	plotSize;

  int  	triFineCol, backCol, triCoarseCol, levelCol, 
  	dirichletCol, neumannCol, cauchyCol;


  virtual void setMinMaxX();
  virtual void setMinMaxY();
  virtual void setMinMaxY(Vector<Real>& u);

  void plotEdge(EDG1* ed);
  void plotSolElement(EDG1 *t, Vector<Real>& x);
};

#endif
